/**
 * <copyright>
 * 
 * Copyright (c) Continental AG and others.
 * All rights reserved. This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 
 * which accompanies this distribution, and is
 * available at http://www.eclipse.org/org/documents/epl-v10.php
 * 
 * Contributors: 
 *     Continental AG - Initial API and implementation
 * 
 * </copyright>
 */
package eaadapter.ea2ecore.postprocessings;

import java.util.Iterator;

import org.eclipse.emf.ecore.EPackage;

import eaadapter.ea2ecore.PostProcessingTemplate;

public class DeleteEmptyIdentifiablePackage extends PostProcessingTemplate {
	
	private void removeEmptyIdentifiablePackage(EPackage parent) {
		Iterator<EPackage> iter = parent.getESubpackages().iterator();
		while (iter.hasNext()) {
			EPackage ePackage = iter.next();
			if ("Identifiable".equals(ePackage.getName())
					&& ePackage.getESubpackages().size() <= 0
					&& ePackage.getEClassifiers().size() <= 0) {
				iter.remove();
				logger.info("Removed empty Identifiable Package: " 
						+ ePackage.getNsURI().toString());
			}
			removeEmptyIdentifiablePackage(ePackage);
		}
	}

	@Override
	public void execute() {
		removeEmptyIdentifiablePackage(model);
	}
}
