package eaadapter.ea2ecore.postprocessings;

import java.util.Iterator;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import eaadapter.ea2ecore.PostProcessingTemplate;

public class DeleteReferencesPackage extends PostProcessingTemplate {
	
	private void removeReferencesPackage(EPackage parent) {
		Iterator<EObject> iter = parent.eAllContents();
		while (iter.hasNext()) {
			EObject element = (EObject) iter.next();
			if (element instanceof EPackage) {
				if ("commonstructure".equals(((EPackage) element).getName())) {
					EList<EPackage> ePackageList = ((EPackage) element).getESubpackages();
					for(EPackage ePackage : ePackageList){
						if(ePackage.getName().equals("references")){
							ePackageList.remove(ePackage);
							logger.info("Removed 'references' Package ");
							return;
						}
					}					
				}				
			}
		}
	}
	
	private void removeEastadlReferencesPackage(EPackage parent) {
		Iterator<EObject> iter = parent.eAllContents();
		while (iter.hasNext()) {
			EObject element = (EObject) iter.next();
			if (element instanceof EPackage) {
				
				if ("references".equals(((EPackage) element).getName())) {
					EList<EPackage> ePackageList = ((EPackage) element).getESubpackages();
					for(EPackage ePackage : ePackageList){
						if(ePackage.getName().equals("eastadlreferences")){
							ePackageList.remove(ePackage);
							logger.info("Removed 'eastadlreferences' Package ");
							return;
						}
					}					
				}
				
				
			}
		}
	}
	
	private void removeAutosarReferencesPackage(EPackage parent) {
		Iterator<EObject> iter = parent.eAllContents();
		while (iter.hasNext()) {
			EObject element = (EObject) iter.next();
			if (element instanceof EPackage) {
				
				if ("references".equals(((EPackage) element).getName())) {
					EList<EPackage> ePackageList = ((EPackage) element).getESubpackages();
					for(EPackage ePackage : ePackageList){
						if(ePackage.getName().equals("autosarreferences")){
							ePackageList.remove(ePackage);
							logger.info("Removed 'autosarreferences' Package ");
							return;
						}
					}					
				}
				
				
			}
		}
	}


	@Override
	public void execute() {
		//removeReferencesPackage(model);
		removeAutosarReferencesPackage(model);
		removeEastadlReferencesPackage(model);
	}
}
