/**
 * <copyright>
 * 
 * Copyright (c) Continental AG and others.
 * All rights reserved. This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 
 * which accompanies this distribution, and is
 * available at http://www.eclipse.org/org/documents/epl-v10.php
 * 
 * Contributors: 
 *     Continental AG - Initial API and implementation
 * 
 * </copyright>
 */
package eaadapter.xsd.common;

import org.eclipse.emf.ecore.EModelElement;

import eaadapter.common.util.ModelConstants;
import eaadapter.common.util.ModelUtil;

public class ModelInformationFactory {

    public static ModelInformation create(EModelElement root, String version) {
        ModelInformation product = new ModelInformation();

        if (root != null) {
            product.setNsprefix(ModelUtil.getTaggedValue(root,
                    ModelConstants.TAGGED_VALUE_XML_NS_PREFIX));
            product.setNsuri(ModelUtil.getTaggedValue(root,
                    ModelConstants.TAGGED_VALUE_XML_NS_URI));
            product.setRelease(version);
        }
        
        product.checkValues();

        return product;
    }
}
