/**
 * <copyright>
 * 
 * Copyright (c) Continental AG and others.
 * All rights reserved. This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 
 * which accompanies this distribution, and is
 * available at http://www.eclipse.org/org/documents/epl-v10.php
 * 
 * Contributors: 
 *     Continental AG - Initial API and implementation
 * 
 * </copyright>
 */
package eaadapter.xsd.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Specialisation of the type <code>EAXSDAbstract</code>
 */
public class CustomAbstract extends EAXSDAbstract {

    /**
     * Returns a list with baseclass references which doesn't refer to empty baseclasses.
     *
     * @return   A list with baseclass references which doesn't refer to empty baseclasses.
     *           Not <code>null</code>.
     */
    public List<EAXSDType> getNonEmptyBaseclass() {
        List<EAXSDType> result = new ArrayList<EAXSDType>(getBaseclass());
        for (int i = result.size() - 1; i >= 0; i--) {
            if (result.get(i).isEmpty()) {
                result.remove(i);
            }
        }
        return result;
    }
}
