/**
 */
package autosar40.commonstructure.modedeclaration;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see autosar40.commonstructure.modedeclaration.ModedeclarationFactory
 * @model kind="package"
 * @generated
 */
public interface ModedeclarationPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "modedeclaration";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://autosar.org/schema/r4.0/autosar40/cs/md";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ModedeclarationPackage eINSTANCE = autosar40.commonstructure.modedeclaration.impl.ModedeclarationPackageImpl.init();

	/**
	 * The meta object id for the '{@link autosar40.commonstructure.modedeclaration.impl.ModeDeclarationGroupPrototypeImpl <em>Mode Declaration Group Prototype</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.commonstructure.modedeclaration.impl.ModeDeclarationGroupPrototypeImpl
	 * @see autosar40.commonstructure.modedeclaration.impl.ModedeclarationPackageImpl#getModeDeclarationGroupPrototype()
	 * @generated
	 */
	int MODE_DECLARATION_GROUP_PROTOTYPE = 0;

	/**
	 * The number of structural features of the '<em>Mode Declaration Group Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_DECLARATION_GROUP_PROTOTYPE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link autosar40.commonstructure.modedeclaration.impl.ModeDeclarationImpl <em>Mode Declaration</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.commonstructure.modedeclaration.impl.ModeDeclarationImpl
	 * @see autosar40.commonstructure.modedeclaration.impl.ModedeclarationPackageImpl#getModeDeclaration()
	 * @generated
	 */
	int MODE_DECLARATION = 1;

	/**
	 * The number of structural features of the '<em>Mode Declaration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_DECLARATION_FEATURE_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link autosar40.commonstructure.modedeclaration.ModeDeclarationGroupPrototype <em>Mode Declaration Group Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Declaration Group Prototype</em>'.
	 * @see autosar40.commonstructure.modedeclaration.ModeDeclarationGroupPrototype
	 * @generated
	 */
	EClass getModeDeclarationGroupPrototype();

	/**
	 * Returns the meta object for class '{@link autosar40.commonstructure.modedeclaration.ModeDeclaration <em>Mode Declaration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Declaration</em>'.
	 * @see autosar40.commonstructure.modedeclaration.ModeDeclaration
	 * @generated
	 */
	EClass getModeDeclaration();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ModedeclarationFactory getModedeclarationFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link autosar40.commonstructure.modedeclaration.impl.ModeDeclarationGroupPrototypeImpl <em>Mode Declaration Group Prototype</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.commonstructure.modedeclaration.impl.ModeDeclarationGroupPrototypeImpl
		 * @see autosar40.commonstructure.modedeclaration.impl.ModedeclarationPackageImpl#getModeDeclarationGroupPrototype()
		 * @generated
		 */
		EClass MODE_DECLARATION_GROUP_PROTOTYPE = eINSTANCE.getModeDeclarationGroupPrototype();

		/**
		 * The meta object literal for the '{@link autosar40.commonstructure.modedeclaration.impl.ModeDeclarationImpl <em>Mode Declaration</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.commonstructure.modedeclaration.impl.ModeDeclarationImpl
		 * @see autosar40.commonstructure.modedeclaration.impl.ModedeclarationPackageImpl#getModeDeclaration()
		 * @generated
		 */
		EClass MODE_DECLARATION = eINSTANCE.getModeDeclaration();

	}

} //ModedeclarationPackage
