/**
 */
package autosar40.swcomponent.components;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see autosar40.swcomponent.components.ComponentsFactory
 * @model kind="package"
 * @generated
 */
public interface ComponentsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "components";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://autosar.org/schema/r4.0/autosar40/swc/components";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ComponentsPackage eINSTANCE = autosar40.swcomponent.components.impl.ComponentsPackageImpl.init();

	/**
	 * The meta object id for the '{@link autosar40.swcomponent.components.impl.PortPrototypeImpl <em>Port Prototype</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.swcomponent.components.impl.PortPrototypeImpl
	 * @see autosar40.swcomponent.components.impl.ComponentsPackageImpl#getPortPrototype()
	 * @generated
	 */
	int PORT_PROTOTYPE = 0;

	/**
	 * The number of structural features of the '<em>Port Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_PROTOTYPE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link autosar40.swcomponent.components.impl.SwComponentTypeImpl <em>Sw Component Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.swcomponent.components.impl.SwComponentTypeImpl
	 * @see autosar40.swcomponent.components.impl.ComponentsPackageImpl#getSwComponentType()
	 * @generated
	 */
	int SW_COMPONENT_TYPE = 1;

	/**
	 * The number of structural features of the '<em>Sw Component Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_COMPONENT_TYPE_FEATURE_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link autosar40.swcomponent.components.PortPrototype <em>Port Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Port Prototype</em>'.
	 * @see autosar40.swcomponent.components.PortPrototype
	 * @generated
	 */
	EClass getPortPrototype();

	/**
	 * Returns the meta object for class '{@link autosar40.swcomponent.components.SwComponentType <em>Sw Component Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sw Component Type</em>'.
	 * @see autosar40.swcomponent.components.SwComponentType
	 * @generated
	 */
	EClass getSwComponentType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ComponentsFactory getComponentsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link autosar40.swcomponent.components.impl.PortPrototypeImpl <em>Port Prototype</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.swcomponent.components.impl.PortPrototypeImpl
		 * @see autosar40.swcomponent.components.impl.ComponentsPackageImpl#getPortPrototype()
		 * @generated
		 */
		EClass PORT_PROTOTYPE = eINSTANCE.getPortPrototype();

		/**
		 * The meta object literal for the '{@link autosar40.swcomponent.components.impl.SwComponentTypeImpl <em>Sw Component Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.swcomponent.components.impl.SwComponentTypeImpl
		 * @see autosar40.swcomponent.components.impl.ComponentsPackageImpl#getSwComponentType()
		 * @generated
		 */
		EClass SW_COMPONENT_TYPE = eINSTANCE.getSwComponentType();

	}

} //ComponentsPackage
