/**
 */
package autosar40.swcomponent.composition;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see autosar40.swcomponent.composition.CompositionFactory
 * @model kind="package"
 * @generated
 */
public interface CompositionPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "composition";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://autosar.org/schema/r4.0/autosar40/swc/composition";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	CompositionPackage eINSTANCE = autosar40.swcomponent.composition.impl.CompositionPackageImpl.init();

	/**
	 * The meta object id for the '{@link autosar40.swcomponent.composition.impl.CompositionSwComponentTypeImpl <em>Sw Component Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.swcomponent.composition.impl.CompositionSwComponentTypeImpl
	 * @see autosar40.swcomponent.composition.impl.CompositionPackageImpl#getCompositionSwComponentType()
	 * @generated
	 */
	int COMPOSITION_SW_COMPONENT_TYPE = 0;

	/**
	 * The number of structural features of the '<em>Sw Component Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITION_SW_COMPONENT_TYPE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link autosar40.swcomponent.composition.impl.SwComponentPrototypeImpl <em>Sw Component Prototype</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see autosar40.swcomponent.composition.impl.SwComponentPrototypeImpl
	 * @see autosar40.swcomponent.composition.impl.CompositionPackageImpl#getSwComponentPrototype()
	 * @generated
	 */
	int SW_COMPONENT_PROTOTYPE = 1;

	/**
	 * The number of structural features of the '<em>Sw Component Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_COMPONENT_PROTOTYPE_FEATURE_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link autosar40.swcomponent.composition.CompositionSwComponentType <em>Sw Component Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sw Component Type</em>'.
	 * @see autosar40.swcomponent.composition.CompositionSwComponentType
	 * @generated
	 */
	EClass getCompositionSwComponentType();

	/**
	 * Returns the meta object for class '{@link autosar40.swcomponent.composition.SwComponentPrototype <em>Sw Component Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sw Component Prototype</em>'.
	 * @see autosar40.swcomponent.composition.SwComponentPrototype
	 * @generated
	 */
	EClass getSwComponentPrototype();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	CompositionFactory getCompositionFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link autosar40.swcomponent.composition.impl.CompositionSwComponentTypeImpl <em>Sw Component Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.swcomponent.composition.impl.CompositionSwComponentTypeImpl
		 * @see autosar40.swcomponent.composition.impl.CompositionPackageImpl#getCompositionSwComponentType()
		 * @generated
		 */
		EClass COMPOSITION_SW_COMPONENT_TYPE = eINSTANCE.getCompositionSwComponentType();

		/**
		 * The meta object literal for the '{@link autosar40.swcomponent.composition.impl.SwComponentPrototypeImpl <em>Sw Component Prototype</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see autosar40.swcomponent.composition.impl.SwComponentPrototypeImpl
		 * @see autosar40.swcomponent.composition.impl.CompositionPackageImpl#getSwComponentPrototype()
		 * @generated
		 */
		EClass SW_COMPONENT_PROTOTYPE = eINSTANCE.getSwComponentPrototype();

	}

} //CompositionPackage
